/*
	Globals.cp
	
	Globals module for MPW C++.

	by Patrick C. Beard.
 */

#include "Storage.h"
#include "VirtualWorld.h"

#ifndef __TYPES__
#include <Types.h>
#endif

void AllocateWorld()
{
	VirtualWorld* world = new VirtualWorld(false);
	Store(world);
}

void DestroyWorld()
{
	VirtualWorld* world = (VirtualWorld*)Retrieve();
	delete world;
	Store(nil);
}

void EnterWorld()
{
	((VirtualWorld*)Retrieve())->Enter();
}
