/*
	Scalper.h
	
	Scalper related definitions.
	
	by Mouse Herrel & Patrick C. Beard.
 */

#pragma once

#ifndef	__SCALPER__
#define __SCALPER__

#include "Patch.h"

#define gestaltScalperPatchProc	'LNK'
#define cFirstOSTrap			0xa000
#define cLastOSTrap				0xa0ff
#define cNumOSTraps				(cLastOSTrap - cFirstOSTrap + 1)
#define cFirstToolTrap			0xa800
#define cLastToolTrap			0xab2a
#define cNumToolTraps			(cLastToolTrap - cFirstToolTrap + 1)

enum {
	eBeginScalperErrors = 1000,	// we should use an error handling scheme.
	eNoScalperErr,				// The companion extension is not running.
	eScalperInUseErr,			// The companion extension is already being used.
	eEndScalperErrors
};

typedef pascal PatchVectorPtr (*ScalperHook) (short id);
typedef pascal StringPtr (*UnpatchHook) (void);

#endif
