/*
	Extension.h
	
	Forward declarations for installation/removal functions.
	
	Part of PatchWorks, the Extension Development Framework.
	
	by Mouse Herrell & Patrick Beard.
	
	Permission is granted to use this source code for any purpose, as long
	as the copyright notice is maintained.
	
	 1992 Berkeley Systems, Inc.
*/

#pragma once

#ifndef	__EXTENSION__
#define __EXTENSION__

#ifndef __TYPES__
#include <Types.h>
#endif

extern short theSystemVersion;
extern Boolean theCQDFlag;
extern Handle theExtensionCode;

void Install(void);
void Remove(void);
void InstallShutDownTask(void);

#endif
