/*
	LoMem2.h
	
	A smattering of low memory globals.
 */

#pragma once

#ifndef _LOMEM2_
#define _LOMEM2_

// cursor globals.
#define CrsrBase (*(Ptr*)0x898)
#define CrsrBusy (*(Boolean*)0x8cd)
#define CrsrDevice (*(GDHandle*)0x89c)
#define CrsrRow (*(short*)0x8ac)

// exception vectors.
#define JAddressError (*(ProcPtr*)0x00c)
#define JBusError (*(ProcPtr*)0x008)
#define JIllegalOpcode (*(ProcPtr*)0x010)
#define JLineFDispatch (*(ProcPtr*)0x02c)
#define JTrapDispatch (*(ProcPtr*)0x028)
#define JZeroDivide (*(ProcPtr*)0x014)

// keymap.
#define Keys0 (*(long*)0x174)
#define Keys1 (*(long*)0x178)

#endif
