/*
	Example.h
	
	Example MPW patchworks module.
	
	by Patrick C. Beard.
 */

#pragma once

#include "GenericPatch.h"

class MenuSelectPatch : public GenericPatch {
public:
	MenuSelectPatch();
	virtual void Behavior(void);

private:
	long itsCallCount;
};

struct MenuSelectParameters {
	Point itsStartPt;
	long itsResult;
};

typedef struct MenuSelectParameters MenuSelectParameters;

typedef pascal long (*MenuSelectProcPtr) (Point pt);
